routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::resource('categories', \App\Http\Controllers\CategoryController::class);

Route::prefix('admin')->name('admin.')->middleware(['auth', 'role:admin'])->group(function () {
    Route::resources([
        'users' => \App\Http\Controllers\Admin\UserController::class,
        'categories' => \App\Http\Controllers\Admin\CategoryController::class,
        'subcategories' => \App\Http\Controllers\Admin\SubcategoryController::class,
        'products' => \App\Http\Controllers\Admin\ProductController::class,
    ]);

    Route::get('/', function () {
        return view('admin.dashboard');
    })->name('dashboard');
});

Route::resource('options', \App\Http\Controllers\OptionController::class);

resources/views/layouts/admin.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Витрина</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
{{--    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />--}}

    <script src="https://use.fontawesome.com/releases/v6.2.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="icon" type="image/x-icon" href="{{ asset('/storage/images/main/favicon.ico') }}">

    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/js/app.js'])
</head>
<body>
<nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
    <!-- Navbar Brand-->
    <a class="navbar-brand ps-3" href="/admin">Витрина</a>
    <!-- Sidebar Toggle-->
    <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i
            class="fas fa-bars"></i></button>
    <!-- Navbar Search-->
    <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">

    </form>
    <!-- Navbar-->
    <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown"
               aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
            <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="#!">Settings</a></li>
                <li><a class="dropdown-item" href="#!">Activity Log</a></li>
                <li>
                    <hr class="dropdown-divider"/>
                </li>
                <li><a class="dropdown-item" href="#!">Logout</a></li>
            </ul>
        </li>
    </ul>
</nav>
<div id="layoutSidenav">
    <div id="layoutSidenav_nav">
        <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
            <div class="sb-sidenav-menu">
                <div class="nav">
                    <div class="sb-sidenav-menu-heading">Core</div>
                    <a class="nav-link" href="/admin">
                        <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                        Dashboard
                    </a>
                    <a class="nav-link" href="{{ route('admin.users.index') }}">
                        <div class="sb-nav-link-icon">
                            <i class="fa-regular fa-user"></i>
                        </div>
                        Users
                    </a>
                    <a class="nav-link" href="{{ route('admin.categories.index') }}">
                        <div class="sb-nav-link-icon">
                            <i class="fa-regular fa-rectangle-list"></i>
                        </div>
                        Categories
                    </a>
                    <a class="nav-link" href="{{ route('admin.subcategories.index') }}">
                        <div class="sb-nav-link-icon">
                            <i class="fa-regular fa-rectangle-list"></i>
                        </div>
                        Subcategories
                    </a>
                    <a class="nav-link" href="{{ route('admin.products.index') }}">
                        <div class="sb-nav-link-icon">
                            <i class="fa-regular fa-rectangle-list"></i>
                        </div>
                        Products
                    </a>
                    <div class="sb-sidenav-menu-heading">Interface</div>
                    <a class="nav-link collapsed" href="#" data-bs-toggle="collapse" data-bs-target="#collapseLayouts"
                       aria-expanded="false" aria-controls="collapseLayouts">
                        <div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                        Layouts
                        <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
                    </a>
                    <div class="collapse" id="collapseLayouts" aria-labelledby="headingOne"
                         data-bs-parent="#sidenavAccordion">
                        <nav class="sb-sidenav-menu-nested nav">
                            <a class="nav-link" href="layout-static.html">Static Navigation</a>
                            <a class="nav-link" href="layout-sidenav-light.html">Light Sidenav</a>
                        </nav>
                    </div>
                    <a class="nav-link collapsed" href="#" data-bs-toggle="collapse" data-bs-target="#collapsePages"
                       aria-expanded="false" aria-controls="collapsePages">
                        <div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                        Pages
                        <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
                    </a>
                    <div class="collapse" id="collapsePages" aria-labelledby="headingTwo"
                         data-bs-parent="#sidenavAccordion">
                        <nav class="sb-sidenav-menu-nested nav accordion" id="sidenavAccordionPages">
                            <a class="nav-link collapsed" href="#" data-bs-toggle="collapse"
                               data-bs-target="#pagesCollapseAuth" aria-expanded="false"
                               aria-controls="pagesCollapseAuth">
                                Authentication
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
                            </a>
                            <div class="collapse" id="pagesCollapseAuth" aria-labelledby="headingOne"
                                 data-bs-parent="#sidenavAccordionPages">
                                <nav class="sb-sidenav-menu-nested nav">
                                    <a class="nav-link" href="login.html">Login</a>
                                    <a class="nav-link" href="register.html">Register</a>
                                    <a class="nav-link" href="password.html">Forgot Password</a>
                                </nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-bs-toggle="collapse"
                               data-bs-target="#pagesCollapseError" aria-expanded="false"
                               aria-controls="pagesCollapseError">
                                Error
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div>
                            </a>
                            <div class="collapse" id="pagesCollapseError" aria-labelledby="headingOne"
                                 data-bs-parent="#sidenavAccordionPages">
                                <nav class="sb-sidenav-menu-nested nav">
                                    <a class="nav-link" href="401.html">401 Page</a>
                                    <a class="nav-link" href="404.html">404 Page</a>
                                    <a class="nav-link" href="500.html">500 Page</a>
                                </nav>
                            </div>
                        </nav>
                    </div>
                    <div class="sb-sidenav-menu-heading">Addons</div>
                    <a class="nav-link" href="charts.html">
                        <div class="sb-nav-link-icon"><i class="fas fa-chart-area"></i></div>
                        Charts
                    </a>
                    <a class="nav-link" href="tables.html">
                        <div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                        Tables
                    </a>
                </div>
            </div>
            <div class="sb-sidenav-footer">
                <div class="small">Logged in as:</div>
                Start Bootstrap
            </div>
        </nav>
    </div>
    <div id="layoutSidenav_content">
        <main>
            <div class="p-4">
                @include('notifications.notifications')
                @yield('content')
            </div>
        </main>
    </div>
</div>
</body>
</html>

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.bunny.net/css?family=Nunito" rel="stylesheet">

    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/js/app.js'])
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/client.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Главная | ВИТРИНА - маркетплейс одежды и обуви</title>
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <script src="https://use.fontawesome.com/releases/v6.2.0/js/all.js" crossorigin="anonymous"></script>

    <link href="{{ asset('css/vendors.bdf213427bafb9a38bbc.css') }}" rel="stylesheet">
    <link href="{{ asset('css/app.a72417657e89e7791e2e.css') }}" rel="stylesheet">
    <!-- Scripts -->
    @vite(['resources/js/app.js'])
</head>
<body class="home">

<div class="l-wrap">
    <div class="topline">
        <div class="container">
            <div class="topline__row row">
                <div class="topline__left col-auto">
                    <a class="link link--icon" href="#" data-fancybox data-src="#my-location">
{{--                        <svg class="icon icon-location">--}}
{{--                            <use xlink:href="img/symbol-defs.svg#icon-location"></use>--}}
{{--                        </svg>--}}
                        <span>Владивосток</span>
                    </a>
                </div>
                <div class="topline__right col-auto">
                    <a class="link" href="#">Сотрудничество</a>
                    <a class="link" href="#">Помощь</a>
                </div>
            </div>
        </div>
    </div>
    <header class="top">
        <div class="container">
            <div class="top__row row">
                <div class="top__logo col-auto"><a class="logo" href="#">
                        <img class="logo__img"
                             src="{{ asset('/storage/images/logo/logo.svg') }}"
                             width="110"
                             height="40"
                             alt="">
                        <span class="logo__caption">Маркетплейс <br>одежды и обуви</span>
                    </a>
                </div>
                <div class="top__catalog col-md-auto"><a class="nav-cat" href="#">
                        <svg class="icon icon-catalog">
                            <use xlink:href="#"></use>
                        </svg>
                        <span>Каталог</span></a></div>
                <div class="top__search col-md"><a class="top__search-back d-md-none" href="#"
                                                   onclick="history.back();return false;">
                        <svg class="icon icon-chevron-left">
                            <use xlink:href="#"></use>
                        </svg>
                    </a>
                    <div class="input-group">
                        <div class="select-custom unselectable">
                            <select class="form-select">
                                <option selected>По товарам</option>
                                <option>По категориям</option>
                            </select>
                        </div>
                        <button class="input-group-icon" type="submit"
                                onclick="window.location='catalog-search.html'">
{{--                            <svg class="icon icon-search">--}}
{{--                                <use xlink:href="img/symbol-defs.svg#icon-search"></use>--}}
{{--                            </svg>--}}
                        </button>
                        <input class="form-control" type="text" placeholder="Поиск на Витрине">
                    </div>
                </div>
                <div class="top__tools col-auto"><a class="minicart" href="#">
                        <div class="minicart__icon icount">
{{--                            <svg class="icon icon-cart">--}}
{{--                                <use xlink:href="img/symbol-defs.svg#icon-cart"></use>--}}
{{--                            </svg>--}}
                            <span class="minicart__count icount__caption">12</span>
                        </div>
                        <span class="minicart__cost"><span id="minicart-cost">101 999</span>₽</span></a>
                    <div class="top__auth is_active"><a class="link link--icon" href="#">
{{--                            <svg class="icon icon-profile">--}}
{{--                                <use xlink:href="img/symbol-defs.svg#icon-profile"></use>--}}
{{--                            </svg>--}}
                            <span>Анастасия <br/>Смирнова</span></a></div>
                    <div class="top__hamb col-auto">
                        <div></div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <div class="promo">
        <div class="container">
            <div class="swiper-body swiper-stl1">
                <div class="promo__slider swiper slider-nav-pag">
                    <div class="swiper-wrapper">
                        <div class="promo-slide swiper-slide pslide1">
                            <a class="promo__slider-wrap" href="#">
                                <img class="promo__slider-img l-desktop" src="{{ asset('/storage/images/main/promo1_desktop.jpg') }}" alt="">
                                <img class="promo__slider-img l-mobile" src="{{ asset('/storage/images/main/promo1_mobile.jpg') }}" alt="">
                            </a>
                        </div>
                        <div class="promo-slide swiper-slide pslide1">
                            <a class="promo__slider-wrap" href="#">
                                <img class="promo__slider-img l-desktop" src="{{ asset('/storage/images/main/promo1_desktop.jpg') }}" alt="">
                                <img class="promo__slider-img l-mobile" src="{{ asset('/storage/images/main/promo1_mobile.jpg') }}" alt="">
                            </a>
                        </div>
                    </div>
                </div>
                <div class="swiper-nav swiper-nav--mobile">
                    <div class="swiper-button swiper-prev">
                        <div class="d-md-none">
{{--                            <svg class="icon icon-arrow-left-small">--}}
{{--                                <use xlink:href="img/symbol-defs.svg#icon-arrow-left-small"></use>--}}
{{--                            </svg>--}}
                        </div>
{{--                        <svg class="icon icon-slide-left">--}}
{{--                            <use xlink:href="img/symbol-defs.svg#icon-slide-left"></use>--}}
{{--                        </svg>--}}
                    </div>
                    <div class="swiper-button swiper-next">
                        <div class="d-md-none">
{{--                            <svg class="icon icon-arrow-right-small">--}}
{{--                                <use xlink:href="img/symbol-defs.svg#icon-arrow-right-small"></use>--}}
{{--                            </svg>--}}
                        </div>
{{--                        <svg class="icon icon-slide-right">--}}
{{--                            <use xlink:href="img/symbol-defs.svg#icon-slide-right"></use>--}}
{{--                        </svg>--}}
                    </div>
                </div>
                <div class="swiper-pagination swiper-pagination--mobile"></div>
            </div>
        </div>
    </div>
    @yield('content')
    <footer class="footer mt-5">
        <div class="container">
            <div class="footer__logo">
                <a class="logo" href="#">
                    <img class="logo__img"
                         src="{{ asset('/storage/images/logo/logo.svg') }}"
                         alt="#">
                    <span class="logo__caption">Маркетплейс <br>одежды и обуви</span>
                </a>
            </div>
            <div class="footer__row row">
                <div class="footer__col col-sm-6 col-md-4 col-lg-auto col-xl-2">
                    <div class="footer__title"><a href="#">Каталог</a></div>
                    <ul class="footer__list">
                        <li><a href="#">Одежда</a></li>
                        <li><a href="#">Обувь</a></li>
                        <li><a href="#">Аксессуары</a></li>
                    </ul>
                </div>
                <div class="footer__col col-sm-6 col-md-4 col-lg-auto col-xl-2">
                    <div class="footer__title"><a href="#">Правила</a></div>
                    <ul class="footer__list">
                        <li><a href="#">Оплата и возврат</a></li>
                        <li><a href="#">Доставка</a></li>
                    </ul>
                </div>
                <div class="footer__col col-sm-6 col-md-4 col-lg-auto col-xl-2">
                    <div class="footer__title"><a href="lk.html">Личный кабинет</a></div>
                    <ul class="footer__list">
                        <li><a href="#">Кабинет магазина</a></li>
                        <li><a href="lk.html">Кабинет покупателя</a></li>
                    </ul>
                </div>
                <div class="footer__col col-sm-6 col-md-4 col-lg-auto col-xl-2">
                    <div class="footer__title"><a href="#">Сотрудничество</a></div>
                    <ul class="footer__list">
                        <li><a href="#">Магазинам</a></li>
                        <li><a href="#">Инвесторам</a></li>
                    </ul>
                </div>
                <div class="footer__col col-sm-6 col-md-4 col-lg-auto col-xl col-xxl-2">
                    <div class="footer__title"><a href="#">Помощь</a></div>
                    <ul class="footer__list">
                        <li><a href="#">FAQ</a></li>
                    </ul>
                </div>
                <div class="footer__contacts footer__col col-sm-6 col-md-4 col-lg-auto col-xl-auto col-xxl-2">
                    <div class="footer__title"><a href="#">Контакты</a></div>
                    <div class="footer__contact footer__address">
                        <span>г. Владивосток</span><span>ул. Уткинская 19, офис 3</span></div>
                    <div class="footer__contact"><a href="tel:74232100300">+7 423 2100-300</a></div>
                </div>
            </div>
        </div>
        <div class="footer__bottom">
            <div class="container">
                <div class="footer__bottom-row row justify-content-between">
                    <div class="col-md-6">
                        <p>© 2022 ООО «Витрина». Все права защищены.</p>
                        <p>ИНН 2536333848 <br/>ОГРН 1222500013240</p>
                    </div>
                    <div class="col-md-auto tar">
                        <p><a href="#">Политика конфиденциальности</a></p>
                        <p><a href="#">Оферта</a></p>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</div>

<script src="{{ asset('js/vendors.d95a6e5831869bd5a585.js') }}"></script>
</body>
</html>